%define upstream_name    Test-Spelling
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check for spelling errors in POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Pod::Spell)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: hunspell-en
BuildArch:  noarch

Requires:   hunspell-en
%description
Test::Spelling lets you check the spelling of a POD file, and report its
results in standard Test::More fashion. This module requires a
spellcheck program such as spell, aspell, ispell, or hunspell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.250.0-4.mga10
+ Revision: 2209096
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.250.0-3.mga9
+ Revision: 1819454
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.250.0-2.mga8
+ Revision: 1526786
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 0.250.0-1.mga8
+ Revision: 1415760
- update to 0.25

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-6.mga7
+ Revision: 1286813
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.200.0-5.mga7
+ Revision: 1166925
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.200.0-4.mga7
+ Revision: 1159323
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-3.mga6
+ Revision: 1034645
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.200.0-2.mga6
+ Revision: 967082
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 848075
- update to 0.20

* Sun Oct 19 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 790379
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 743820
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 686548
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 527678
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 441786
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 373784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 342707
- update to 0.16

* Thu Feb 16 2012 jquelin <jquelin> 0.150.0-2.mga2
+ Revision: 209732
- migrate required spell checker to hunspell (mga#4385)
- update to 0.15

* Fri Jun 17 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 108980
- update to 0.14

* Sun Jan 23 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 34277
- mageia rebuild
- imported package perl-Test-Spelling


* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-2mdv2010.1
+ Revision: 527995
- using aspell in english by default

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 405595
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2009.0
+ Revision: 268739
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
+ Revision: 213781
- import perl-Test-Spelling


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
- first mdv release
